import request from '@/utils/request'
import state from '@/store'
import router from '@/router'

// 初始化工艺
export function getPerson() {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '3',
      name: 'SELECT 姓名,人员编号 FROM 人事档案管理_人员名单 inner join dbo.人事档案管理_基础表_部门 on 人事档案管理_人员名单.考核部门编号=人事档案管理_基础表_部门.考核部门编号 where 人事档案管理_人员名单.考核部门编号=12 and 人员编号 <> 82 order by 姓名 '
    }
  })
}
export function getParts(num1, num2, pageCurrent, pageSize) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '1',
      name: '车间生产管理工艺_车间排产_零件查询',
      param: `零件图号_check=${num1}&零件图号=${num2}&PageCurrent=${pageCurrent}&PageSize=${pageSize}&PageCount=1111=int=output&ItemCount=1111=int=output`
    }
  })
}
export function getGongxu(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '3',
      name: `select 姓名,排产时间,工序流水号,工艺名称,投产数量,完成日期,工序顺序,工序间是否外协,加工完成状态,工序状态,外协数量 from
(select 姓名,排产时间,convert(nvarchar(10),工序流水号) as 工序流水号,工艺名称,投产数量,完成日期,工序顺序,工序间是否外协,加工完成状态,工序状态,isnull(外协数量,0) as 外协数量 from dbo.车间生产管理工艺_插件排产查询_视图 where 工艺编号 is not null and 工艺编号<>0 and 考核状态 >= 6 and 工艺计划流水号=${num}
union
select 姓名,排产时间,工序流水号,工艺名称,投产数量,完成日期,工序顺序,工序间是否外协,加工完成状态,工序状态,0 as 外协数量 from dbo.车间生产管理工艺_插件排产查询_加序_视图 where 工艺编号 is not null and 工艺编号<>0 and 考核状态 >= 6 and 工艺计划流水号=${num}) as a
order by a.工序顺序`
    }
  })
}
export function searchTableData2(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '3',
      name: `select 工艺计划流水号,姓名,零件图号,零件名称,工序流水号,工艺名称,投产数量,完成日期,工序顺序,工序间是否外协,加工完成状态,工序状态,外协数量 from
(select 工艺计划流水号,姓名,零件图号,零件名称,convert(nvarchar(10),工序流水号) as 工序流水号,工艺名称,投产数量,完成日期,工序顺序,工序间是否外协,加工完成状态,工序状态,isnull(外协数量,0) as 外协数量  from dbo.车间生产管理工艺_插件排产查询_视图 where 排产人员=${num} and (工序状态<>4 or 工序状态 is null)
union
select 工艺计划流水号,姓名,零件图号,零件名称,工序流水号,工艺名称,投产数量,完成日期,工序顺序,工序间是否外协,加工完成状态,工序状态,0 as 外协数量 from dbo.车间生产管理工艺_插件排产查询_加序_视图 where 排产人员=${num} and (工序状态<>4 or 工序状态 is null)) as a
order by a.工序顺序`
    }
  })
}
export function XuanRu(num, num2) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: `车间生产工艺管理_车间排产_插入数据`,
      param: `排产人员=${num}&工序流水号=${num2}`
    }
  })
}
export function XuanChu(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '2',
      name: `车间生产工艺管理_车间排产_移出数据`,
      param: `工序流水号=${num}`
    }
  })
}
export function panDuan(num) {
  return request({
    url: '',
    method: 'post',
    data: {
      UserID: state.state.user.id,
      ModularID: router.currentRoute.path,
      type: '3',
      name: ` select 状态,工艺计划流水号 from
              (
              select   工艺计划流水号,零件名称,投产数量,机床图号,组号,(零件图号+'  '+规格) as 图号及规格
              ,计划开始时间,计划结束时间,排产人员,排产时间,
              (case when SUM(CASE WHEN 排产人员 IS NULL THEN 1 ELSE 0 END) = 0 then 2 else 
              case when COUNT(*) > SUM(CASE WHEN 排产人员 IS NULL THEN 1 ELSE 0 END) then 1 else 0 end end) as 状态
              from dbo.车间生产管理工艺_插件排产查询_视图
              where 工艺编号 is not null and 工艺编号<>0 and 工艺计划流水号 is not null and 考核状态 >=6
              group by 工艺计划流水号,零件名称,投产数量,机床图号,组号,零件图号,规格,计划开始时间,计划结束时间,排产人员,排产时间
              ) as a
              where 工艺计划流水号=${num}
              order by 图号及规格
              `
    }
  })
}
